## language-selector 0.56

=== debian/changelog ===
language-selector (0.56) oneiric; urgency=low

  * LanguageSelector/LangCache.py: Fix crash when "sys.argv" does not exist,
    which happens when being called from the KDE control center.
    (LP: #871922)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Oct 2011 20:03:34 +0200

language-selector (0.55) oneiric; urgency=low

  * Minor tweaking of help/C/language-selector.xml.

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Tue, 04 Oct 2011 10:50:43 +0200

language-selector (0.54) oneiric; urgency=low

  * data/LanguageSelector.ui:
    - Reference to the handler "on_treeview_languages_cursor_changed",
      which was removed in v. 0.53, dropped (LP: #859961).
    - Property "relief" for help button reinserted.
  * LanguageSelector/LangCache.py [change not affecting KDE]:
    - Don't confuse the UI by testing whether dropped metapackages
      are installed. Makes a difference on upgraded systems where
      (traces of) such packages are left on disk from previous
      language installations (should affect LP: #841712).

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Wed, 28 Sep 2011 17:21:13 +0200

language-selector (0.53) oneiric; urgency=low

  [ Gunnar Hjalmarsson ]
  * LanguageSelector/LocaleInfo.py:
    - Change of makeEnvString() in v. 0.52 reversed. Didn't work
      as expected; old simpler code sufficient for now
      (fixes LP: #858184).
    - New function for testing whether the user language is set
      completely.
  * LanguageSelector/gtk/GtkLanguageSelector.py:
    - When setting the own regional formats, ensure that the user
      language is set completely in order to prevent a surprise change
      of the display language.

  [ Martin Pitt ]
  * debian/control: Explicitly depend on "dbus", to ensure that it is
    configured at the time the postinst runs. Might help for bugs like
    LP #856975.
  * LanguageSelector/LangCache.py: Add a __str__() method to
    LanguagePackageStatus class, to ease debugging.
  * debian/control: Add missing python-kde4 dependency to l-s-kde.
  * Drop the details expander from the GTK UI for the "fonts/writing
    aids/etc." checkboxes. These were used to install language-support-*-XX
    metapackages which got dropped. (LP: #856217)
  * tests/test_check_language_support.py: Fix test case for current number of
    language support packages: -ar installs exactly 5, so reduce the "> 5"
    check to "> 3".

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 Sep 2011 15:29:50 +0200

language-selector (0.52) oneiric; urgency=low

  * LanguageSelector/LocaleInfo.py:
    - getUserDefaultLanguage() modified so that
      "sudo fontconfig-voodoo --auto" does the right thing even if
      LANGUAGE cannot be obtained from ~/.profile.
    - Encoding issue fixed (LP: #832292).
    - makeEnvString() rewritten to use accountsservice's
      language-validate script.
    - New function for testing whether the system language is set
      completely.
  * LanguageSelector/gtk/GtkLanguageSelector.py:
    - When setting the system-wide regional formats, ensure that the
      system language is set completely in order to prevent surprise
      changes of the display language.
  * LanguageSelector/LanguageSelector.py:
    - Do not let 'root' save user language.
  * help/C/language-selector.xml:
    - Oneiric updates.

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Thu, 22 Sep 2011 10:26:45 +0200

language-selector (0.51) oneiric; urgency=low

  * data/incomplete-language-support-gnome.note.in:
    - Guidance how to find Language Support changed (LP: #839880).
  * LanguageSelector/gtk/GtkLanguageSelector.py:
    - Guidance how to find Software Sources changed (LP: #839880).

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Sun, 04 Sep 2011 23:23:00 +0200

language-selector (0.50) oneiric; urgency=low

  * data/language-selector.desktop.in:
    - Include GNOME in the environments that shall show the launcher,
      so it gets searchable in the Unity dash.
    - Keywords modified.
  * LanguageSelector/LocaleInfo.py:
    - Don't attempt to query AccountsService when run as root.

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Thu, 01 Sep 2011 12:20:25 +0200

language-selector (0.49) oneiric; urgency=low

  [ Gunnar Hjalmarsson ]
  * LanguageSelector/LocaleInfo.py:
    Regression fix: pass "msg" as a string to warnings.warn()
    (LP: #833090).

  [ Rodrigo Moya ]
  * Add .desktop magic so that it shows up on the new GNOME Control Center

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 24 Aug 2011 15:59:32 -0400

language-selector (0.48) oneiric; urgency=low

  * LanguageSelector/LocaleInfo.py:
    Make any failure in getUserDefaultLanguage(), to get the language
    from AccountsService, non-fatal (LP: #827412, #830938).

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Wed, 24 Aug 2011 15:31:06 +0200

language-selector (0.47) oneiric; urgency=low

  * LanguageSelector/gtk/GtkLanguageSelector.py: Move from static gobject to
    GI GObject module, to be compatible to upcoming pygobject 3.0.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 18 Aug 2011 17:22:50 +0200

language-selector (0.46) oneiric; urgency=low

  * LanguageSelector/LocaleInfo.py: Fix crash if accountsservice does not know
    information for the invoking user. (LP: #827176)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 17 Aug 2011 15:44:22 +0200

language-selector (0.45) oneiric; urgency=low

  * Use AccountsService to save changes of the user language settings.
  * data/main-countries:
    File moved to AccountsService and deleted here.
  * Use the help files provided by AccountsService when applicable
    instead of language-selector specific code.
  * Code for reading from and updating ~/.dmrc dropped.
  * Fixed collapsed language window within the "Installed Languages"
    window by specifying the height (LP: #823837).

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Tue, 16 Aug 2011 08:38:20 +0200

language-selector (0.44) oneiric; urgency=low

  * data/pkg_depends: libgnome2-common is not an appropriate indicator for


## language-selector 0.56.1

=== po/Makefile ===

top_srcdir = ..

PO_FILES := $(wildcard *.po)

default: language-selector.pot $(patsubst %.po,%.mo,$(wildcard *.po))

update-po: language-selector.pot
	# update the po files 
	#for f in $(PO_FILES); do \
	#	intltool-update -r $${f%.po}  -g language-selector ; \
	#done
	intltool-update -r $${f%.po}  -g language-selector ; \

language-selector.pot:
	intltool-extract --type=gettext/rfc822deb  ../data/incomplete-language-support-gnome.note.in
	intltool-extract --type=gettext/rfc822deb  ../data/incomplete-language-support-kde.note.in
	intltool-extract --type=gettext/rfc822deb  ../data/restart_session_required.note.in
	intltool-update -p -g language-selector
	

%.mo : %.po
	mkdir -p mo/$(subst .po,,$<)/LC_MESSAGES/ 
	msgfmt $< -o mo/$(subst .po,,$<)/LC_MESSAGES/language-selector.mo

=== debian/changelog ===
language-selector (0.56.1) oneiric-proposed; urgency=low

  * LanguageSelector/gtk/GtkLanguageSelector.py:
    Work around python2.7 crash when passing a unicode value to
    locale.setlocale() (LP: #909256).
    (Same solution as the solution in Precise to bug 905429.)

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Wed, 28 Dec 2011 19:00:00 +0100

=== debian/control ===
Source: language-selector
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
 python,
 intltool,
 intltool-debian
XS-Python-Version: >= 2.6
Standards-Version: 3.9.1
Vcs-Bzr: http://bazaar.launchpad.net/%7Eubuntu-core-dev/language-selector/ubuntu/

Package: language-selector-gnome
Architecture: all
Depends: language-selector-common (= ${binary:Version}),
 accountsservice (>= 0.6.13-1ubuntu2),
 ${misc:Depends},
 ${python:Depends},
 python-gobject (>= 2.27.91),
 gir1.2-gtk-3.0,
 gir1.2-vte-2.90,
 python-apt (>= 0.6.12),
 aptdaemon (>= 0.40+bzr527),
 python-aptdaemon.gtk3widgets
Replaces: language-selector (<< 0.17)
Conflicts: language-selector (<< 0.17)
XB-Python-Version: ${python:Versions}
Description: Language selector for Ubuntu
 This package let you change and install language packs
 in Ubuntu.
 .
 This package contains the GTK+ frontend.

Package: language-selector-kde
Architecture: all
Depends: language-selector-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 python-qt4,
 python-kde4,
 qapt-batch,
 python-apt
Replaces: language-selector-qt (<< 0.16)
Conflicts: language-selector-qt (<< 0.16)
XB-Python-Version: ${python:Versions}
Description: Language selector for Kubuntu
 This package let you change and install language packs
 in Kubuntu.
 .
 This package contains the KDE frontend.

Package: language-selector-qt
Section: oldlibs
Architecture: all
Depends: ${misc:Depends},
 language-selector-kde
Description: Language selector for Kubuntu (transitional package)
 This package is a transitional package that can safely be removed
 after you have installed language-selector-kde

Package: language-selector
Section: oldlibs
Architecture: all
Depends: ${misc:Depends},
 language-selector-gnome
Description: Language selector for Ubuntu (transitional package)
 This package is a transitional package that can safely be removed
 after you have installed language-selector-gnome

Package: language-selector-common
Architecture: all
Depends: ${python:Depends},
 ${misc:Depends},
 iso-codes,
 python-apt (>= 0.7.12.0),
 python-dbus,
 dbus,
 accountsservice (>= 0.6.13-1ubuntu2)
XB-Python-Version: ${python:Versions}
Description: Language selector for Ubuntu Linux
 This package let you change and install language packs
 in Ubuntu Linux.
 .
 This package contains the common part of language-selector

## language-selector 0.79

=== debian/changelog ===
language-selector (0.79) precise; urgency=low

  * Update of help document (LP: #983951).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 18 Apr 2012 08:09:49 +0200

language-selector (0.78) precise; urgency=low

  * Updated translations from launchpad (lp: #980842)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Apr 2012 16:21:24 +0200

language-selector (0.77) precise; urgency=low

  * dbus_backend/ls-dbus-backend: Set LC_IDENTIFICATION as well, to comply
    with what Ubiquity does. (LP: #926207)
  * tests/test_language_support_pkgs.py: Fix
    test_by_package_and_locale_noinstalled() for current pkg_depends: gedit
    does not need aspell any more, use abiword as trigger package.
  * language_support_pkgs.py, _expand_pkg_pattern(): Special-case "zh-han[st]"
    values for the locale. These are not actual locales, but e. g. Ubiquity
    assumes this works. So let these mean "zh_CN" and "zh_TW" respectively.
    Add a test case to tests/test_language_support_pkgs.py. (LP: #963460)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 30 Mar 2012 12:42:15 +0200

language-selector (0.76) precise; urgency=low

  * Add conffile upgrade handling for ko-kr conffiles dropped since lucid.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 26 Mar 2012 22:20:17 -0700

language-selector (0.75) precise; urgency=low

  [ Jinkyu Yi ]
  * data/pkg_depends:
    - Add fonts-unfonts-core for fonts-nanum's fallback
    - Remove ttf-alee, fonts-nanum-extra to reduce ko-related packages
      (refer to task-korean-desktop at Debian)
    - remove nabi, Unity can't support it

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 16 Mar 2012 11:27:49 +0100

language-selector (0.74) precise; urgency=low

  * data/pkg_depends: Add fonts-ukij-uyghur for Uyghur. Thanks to Eagle
    Burkut for pointing this out.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 Mar 2012 15:22:54 +0100

language-selector (0.73) precise; urgency=low

  * data/pkg_depends: Add support for translated documentation of amarok
    and calligra.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 12 Mar 2012 11:39:45 -0400

language-selector (0.72) precise; urgency=low

  [ Sebastien Bacher ]
  * data/language-selector.desktop.in:
    - use official "Keywords" rather than "X-GNOME-Keywords" (LP: #949849)

  [ Martin Pitt ]
  * LanguageSelector/qt/QtLanguageSelector.py: Kubuntu's package manager is
    "Muon", not "Adept". Also update all messages in po/*.po to avoid breaking
    existing translations. (LP: #628653)
  * LanguageSelector/gtk/GtkLanguageSelector.py: Fix crash in
    updateLocaleChooserCombo() if tree model is not yet set. (LP: #945494)
  * debian/language-selector-common.postinst: Do not fail configuring if D-BUS
    does not give us the PID of a running ls-dbus-backend. (LP: #766672)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 09 Mar 2012 16:34:49 +0100

language-selector (0.71) precise; urgency=low

  [ Gunnar Hjalmarsson ]
  * LanguageSelector/gtk/GtkLanguageSelector.py:
    Modified wording of the error message shown if the example box
    fails to apply the current locale (LP: #930785).

  [ Martin Pitt ]
  * data/pkg_depends: Drop myspell-ru, we have hunspell-ru now.
  * data/pkg_depends: Add cmap-adobe-* packages for ghostscript. (LP: #496012)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 02 Mar 2012 06:54:37 +0100

language-selector (0.70) precise; urgency=low

  * LanguageSelector/gtk/GtkLanguageSelector.py:
    Clear the example box values before trying to generate new ones.
  * LanguageSelector/qt/QtLanguageSelector.py:
    Call for the no longer existing writeSysLangSetting() function
    removed (LP: #928400). writeSysLanguageSetting() now sets LANG.

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Wed, 15 Feb 2012 07:42:06 +0100

language-selector (0.69) precise; urgency=low

  * LanguageSelector/LocaleInfo.py, getUserDefaultLanguage(): Fix crash if
    system D-BUS is not running, which happens when running fontconfig-voodoo
    from casper. (LP: #856975)
  * debian/control: "Ubuntu Linux" → "Ubuntu". (LP: #919972)
  * data/pkg_depends: Move mozvoikko to xul-ext-mozvoikko.
  * data/pkg_depends: gedit and sylpheed use libenchant now, move these from
    aspell to hunspell dictionaries.
  * Close window on "Esc". (LP: #614933)
  * LanguageSelector/gtk/GtkLanguageSelector.py: Intercept errors from
    aptdaemon transactions and stop waiting for the transaction to finish on
    an error. (LP: #863875)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 09 Feb 2012 14:41:43 +0100

language-selector (0.68) precise; urgency=low

  * LanguageSelector/qt/QtLanguageSelector.py: Erroneous for loops
    replaced with simple variable assignments (LP: #926824).

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Wed, 08 Feb 2012 06:15:31 +0100

language-selector (0.67) precise; urgency=low

  * LanguageSelector/gtk/GtkLanguageSelector.py: Remove call for the
    dropped function verify_no_unexpected_changes() (LP: #927814).

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Tue, 07 Feb 2012 08:33:33 +0100

language-selector (0.66) precise; urgency=low

  * LanguageSelector/LangCache.py, tests/test_lang_cache.py: Drop some dead
    code.
  * data/pkg_depends: Install poppler-data for all languages. (LP: #893920)
  * tests/test_language_support_pkgs.py: Fix test case for a package which is
    not a pattern, but a full name ("chromium-browser-l10n").
  * language_support_pkgs.py: Also consider the pattern itself a package name.
    Fixes installation of chromium-browser-l10n and poppler-data.
  * tests/test-data/etc/apt/sources.list*: Use precise.
  * tests/test_lang_cache.py: Update the cache before the tests, so that they
    can actually succeed.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 06 Feb 2012 12:33:54 +0100

language-selector (0.65) precise; urgency=low

  [ Colin Watson ]
  * check-language-support: Ignore errors from locale.setlocale.  We might
    well be running from the installer before locales have been properly


## language-selector 0.79+6.0trisquel1

=== debian/changelog ===
language-selector (0.79+6.0trisquel1) toutatis; urgency=low

  * Added quz and aym locales

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 07 Oct 2012 02:16:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,31 @@
 Source: language-selector
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends: debhelper (>= 7.0.50~),
  python,
+ python-distutils-extra,
+ python-setuptools,
+ pyqt4-dev-tools,
  intltool,
- intltool-debian
-XS-Python-Version: >= 2.6
-Standards-Version: 3.9.1
-Vcs-Bzr: http://bazaar.launchpad.net/%7Eubuntu-core-dev/language-selector/ubuntu/
+ intltool-debian,
+ dh-translations
+X-Python-Version: >= 2.6
+Standards-Version: 3.9.2
 
 Package: language-selector-gnome
 Architecture: all
 Depends: language-selector-common (= ${binary:Version}),
- accountsservice (>= 0.6.13-1ubuntu2),
+ accountsservice (>= 0.6.15-2ubuntu3),
  ${misc:Depends},
  ${python:Depends},
- python-gobject (>= 2.27.91),
+ python-gi,
  gir1.2-gtk-3.0,
  gir1.2-vte-2.90,
  python-apt (>= 0.6.12),
  aptdaemon (>= 0.40+bzr527),
- python-aptdaemon.gtk3widgets
+ python-aptdaemon.gtk3widgets,
+ im-switch
 Replaces: language-selector (<< 0.17)
 Conflicts: language-selector (<< 0.17)
 XB-Python-Version: ${python:Versions}
@@ -51,6 +55,7 @@
 
 Package: language-selector-qt
 Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends},
  language-selector-kde
@@ -60,6 +65,7 @@
 
 Package: language-selector
 Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends},
  language-selector-gnome
@@ -69,16 +75,17 @@
 
 Package: language-selector-common
 Architecture: all
+Pre-Depends: dpkg (>= 1.15.7.2)
 Depends: ${python:Depends},
  ${misc:Depends},
  iso-codes,
  python-apt (>= 0.7.12.0),
  python-dbus,
  dbus,
- accountsservice (>= 0.6.13-1ubuntu2)
+ accountsservice (>= 0.6.15-2ubuntu3)
 XB-Python-Version: ${python:Versions}
-Description: Language selector for Ubuntu Linux
+Description: Language selector for Ubuntu
  This package let you change and install language packs
- in Ubuntu Linux.
+ in Ubuntu.
  .
  This package contains the common part of language-selector

## language-selector 0.79.1

=== debian/changelog ===
language-selector (0.79.1) precise; urgency=low

  * check-language-support: De-duplicate output for a single target language
    (LP: #1056689).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Feb 2013 16:44:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: language-selector
 Section: admin
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~),
  python,
  python-distutils-extra,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,translations

override_dh_auto_install:
	python ./setup.py install --root=$(CURDIR)/debian/tmp --prefix=/usr --install-layout=deb

## language-selector 0.79.4

=== debian/changelog ===
language-selector (0.79.4) precise-security; urgency=low

  * SECURITY UPDATE: possible privilege escalation via policykit UID lookup
    race.
    - dbus_backend/ls-dbus-backend: pass system-bus-name as a subject
      instead of pid so policykit can get the information from the system
      bus.
    - CVE-2013-1066

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 13 Sep 2013 12:35:48 -0400

language-selector (0.79.3) precise-proposed; urgency=low

  * language_support_pkgs.py:
    Fix of TypeError in _expand_pkg_pattern() (LP: #1161953).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 09 Apr 2013 13:11:25 +0100

language-selector (0.79.2) precise-proposed; urgency=low

  * LanguageSelector/LanguageSelector.py:
    Call missing() in language_support_pkgs.py instead of
    by_locale(), so the check for missing language support packages
    is carried out for all the installed languages, not only for the
    current system language (LP: #1134364).
  * language_support_pkgs.py:
    - Hack to prevent that users are prompted to install hunspell-de-xx
      when the enhanced (and conflicting) hunspell-de-xx-frami is
      installed (LP: #1103547).
    - Changes in available_languages() to avoid that users are prompted
      to install language support for non-installed languages. That
      could happen if there were other locales on the system but the
      locales representing the installed languages (LP: #1134364).
  * LanguageSelector/LangCache.py:
    When a language is removed, don't remove packages that are not
    language specific (LP: #37707).
  * debian/control:
    Bump the accountsservice dependency.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 27 Feb 2013 16:44:00 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
 Package: language-selector-gnome
 Architecture: all
 Depends: language-selector-common (= ${binary:Version}),
- accountsservice (>= 0.6.15-2ubuntu3),
  ${misc:Depends},
  ${python:Depends},
  python-gi,
@@ -82,7 +81,7 @@
  python-apt (>= 0.7.12.0),
  python-dbus,
  dbus,
- accountsservice (>= 0.6.15-2ubuntu3)
+ accountsservice (>= 0.6.15-2ubuntu9.5)
 XB-Python-Version: ${python:Versions}
 Description: Language selector for Ubuntu
  This package let you change and install language packs

## language-selector 0.90

=== debian/changelog ===
language-selector (0.90) quantal; urgency=low

  * Updated launchpad translations

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Oct 2012 15:59:39 +0200

language-selector (0.89) quantal; urgency=low

  * check-language-support: De-duplicate output for a single target language
    (LP: #1056689).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 Sep 2012 13:04:24 +0100

language-selector (0.88) quantal; urgency=low

  * data/pkg_depends: Add kdevelop-php-l10n to translations category for
    kdevelop-php (LP: #1048584).
  * check-language-support: Print errors to stderr (LP: #1048204).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 26 Sep 2012 16:51:53 +0100

language-selector (0.87) quantal; urgency=low

  * Fix bad testing sections. LP: #1034928 
    - fontconfig/69-language-selector-ja-jp.conf: Separate matching
      patterns for non-bitmap/non-hinting sections. And remove legacy
      font lists.
    - fontconfig/69-language-selector-zh-tw.conf: Separate matching
      patterns at "Bind AR PL UMing with DejaVu Serif" section.

 -- Fumihito YOSHIDA <hito@kugutsu.org>  Wed, 22 Aug 2012 11:35:26 +0900

language-selector (0.86) quantal; urgency=low

  * Apply all (ja-jp, zh-*) fontconfig config files only when locale matches
  * Remove 69-language-selector-ka-ge.conf — it's going to its corresponding
    font package fonts-bpg-georgian.
  * Disable installation/updating of fontconfig-voodoo and remove previously
    installed symlinks on upgrade.
  * Enable all config files that might have been previously installed by
    fontconfig-voodoo now that they are all guarded by locale.
  * Standards-Version → 3.9.3, no changes required

 -- Iain Lane <iain.lane@canonical.com>  Mon, 13 Aug 2012 11:35:34 +0100

language-selector (0.85) quantal; urgency=low

  * ls-dbus-backend: fix for python3 compatibility.  LP: #1014429.
  * Do not touch /etc/environment; we should be updating /etc/default/locale
    exclusively.  On upgrade, clean up any references that have been left
    behind in /etc/environment. LP: #1035498.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 10 Aug 2012 22:06:35 -0700

language-selector (0.84) quantal-proposed; urgency=low

  * data/pkg_depends: Add fonts-lklug-sinhala for Sinhala.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 28 Jun 2012 14:44:44 +0100

language-selector (0.83) quantal; urgency=low

  * debian/rules: Override dh_auto_* commands to build with Python 3. (See
    Debian #597105)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 14 Jun 2012 10:13:04 +0200

language-selector (0.82) quantal; urgency=low

  [ Colin Watson ]
  * Port to Python 3:
    - Use Python 3-style print functions.
    - Use "except Exception as e" syntax rather than the old-style "except
      Exception, e".
    - Use "raise Exception(value)" syntax rather than the old-style "raise
      Exception, value".
    - Use list comprehensions rather than filter.
    - Use new-style octal literals.
    - Use str() rather than unicode() in Python 3.
    - Open subprocesses with universal_newlines=True when expecting to read
      text from them.
    - Cope with changes in dict method return types in Python 3.

  [ Martin Pitt ]
  * tests/runner.sh: Run with $PYTHON if specified, to make it easier to run
    with a different Python version.
  * Consistent str vs. bytes handling, to work with Python 3.
  * Convert tests to current apt API.
  * Python 3 compatible import statements.
  * Properly close files, to avoid ResourceWarnings.
  * Convert all tabs to spaces.
  * LanguageSelector/gtk/GtkLanguageSelector.py: Pass a string to setlocale(),
    not bytes.
  * LanguageSelector/qt/QtLanguageSelector.py: Fix for Python 3.
  * LanguageSelector/gtk/GtkLanguageSelector.py: python3-dbus now sometimes
    calls OpProgress.update() without any argument. Support this and pulsate
    the progress bar in this case.
  * Switch all hashbangs and dependencies to Python 3.
  * debian/control: Drop now obsolete language-selector and
    language-selector-qt transitional packages.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 14 Jun 2012 09:50:35 +0200

language-selector (0.81) quantal; urgency=low

  * data/pkg_depends: replace cmap-adobe- depends by poppler-data 
    (lp: #1009052)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 07 Jun 2012 12:45:28 +0200

language-selector (0.80) quantal; urgency=low

  * Add gcompris to pkg_depends (for gcompris-sound-* in Edubuntu)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 14 May 2012 17:14:12 -0400

=== debian/control ===
Source: language-selector
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
 python3,
 python3-distutils-extra,
 python3-setuptools,
 pyqt4-dev-tools,
 intltool,
 intltool-debian,
 dh-translations
X-Python3-Version: >= 3.2
Standards-Version: 3.9.3

Package: language-selector-gnome
Architecture: all
Depends: language-selector-common (= ${binary:Version}),
 accountsservice (>= 0.6.15-2ubuntu3),
 ${misc:Depends},
 ${python3:Depends},
 python3-gi,
 gir1.2-gtk-3.0,
 gir1.2-vte-2.90,
 python3-apt,
 aptdaemon (>= 0.40+bzr527),
 python3-aptdaemon.gtk3widgets,
 im-switch
Replaces: language-selector (<< 0.17)
Conflicts: language-selector (<< 0.17)
Description: Language selector for Ubuntu
 This package let you change and install language packs
 in Ubuntu.
 .
 This package contains the GTK+ frontend.

Package: language-selector-kde
Architecture: all
Depends: language-selector-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 python3-pyqt4,
 python3-pykde4,
 qapt-batch,
 python3-apt
Replaces: language-selector-qt (<< 0.16)
Conflicts: language-selector-qt (<< 0.16)
Description: Language selector for Kubuntu
 This package let you change and install language packs
 in Kubuntu.
 .
 This package contains the KDE frontend.

Package: language-selector-common
Architecture: all
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${python3:Depends},
 ${misc:Depends},
 iso-codes,
 python3-apt (>= 0.7.12.0),
 python3-dbus,
 dbus,
 accountsservice (>= 0.6.15-2ubuntu3)
Description: Language selector for Ubuntu
 This package let you change and install language packs
 in Ubuntu.
 .
 This package contains the common part of language-selector

## language-selector 0.90.1

=== debian/changelog ===
language-selector (0.90.1) quantal-security; urgency=low

  * SECURITY UPDATE: possible privilege escalation via policykit UID lookup
    race.
    - dbus_backend/ls-dbus-backend: pass system-bus-name as a subject
      instead of pid so policykit can get the information from the system
      bus.
    - CVE-2013-1066

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 13 Sep 2013 12:34:31 -0400

## language-selector 0.104

=== debian/changelog ===
language-selector (0.104) raring; urgency=low

  * data/pkg_depends:
    List of input methods for traditional Chinese modified. Thanks to
    Ma Xiaojun for the proposal (LP: #1120833).
  * LanguageSelector/LangCache.py:
    When a language is removed, don't remove packages that are not
    language specific (LP: #37707).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 12 Feb 2013 05:25:22 +0100

language-selector (0.103) raring; urgency=low

  * LanguageSelector/LanguageSelector.py:
    Make getMissingLangPacks() return a list instead of a set -
    fixes regression issue from version 0.102 (LP: #1103547).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 08 Feb 2013 17:12:00 +0100

language-selector (0.102) raring; urgency=low

  [ Martin Pitt ]
  * tests/test_language_support_pkgs.py: Fix unstable test due to Python's
    current hash randomization.
  * Add test case for LP #1103547.

  [ Gunnar Hjalmarsson ]
  * LanguageSelector/LanguageSelector.py:
    Call missing() in language_support_pkgs.py instead of
    by_locale(), so the check for missing language support packages
    is carried out for all the installed languages, not only for the
    current system language.
  * language_support_pkgs.py:
    Hack to prevent that users are prompted to install hunspell-de-xx
    when the enhanced (and conflicting) hunspell-de-xx-frami is
    installed (LP: #1103547).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 08 Feb 2013 11:55:28 +0100

language-selector (0.101) raring; urgency=low

  * This upload is about fixing LP: #1043031. Namely the use of LANG guards
    introduced in 0.86 was possibly not an entirely correct solution because
    there is a significant class of users who do not use the 'native' locale
    of these fonts, yet this is what a LANG guards tests for. We need the
    fontconfig configurations to apply correctly in these cases too.
  * Remove Japanese fontconfig file; these have been moved to the individual
    font packages which will be pulled in by l-s if appropriate.
  * Switch to using .maintscript file for removing conffiles; version
    debhelper BD as appropriate. 
  * 69_zh* - remove wqy-microhei versions. This package now has its own
    fontconfig configuration.
  * fontconfig/README: Update to reflect reality of the 69_* files
  * Remove 'strong' binding and unnecessary fonts from zh_* configuration. 

 -- Iain Lane <iain.lane@canonical.com>  Wed, 06 Feb 2013 15:37:33 +0000

language-selector (0.100) raring; urgency=low

  * help/C/language-selector.xml:
    Update due to the transition from im-switch to im-config.
  * LanguageSelector/LanguageSelector.py,
    LanguageSelector/gtk/GtkLanguageSelector.py:
    Do not let the LANGUAGE priority list contain non-English items
    after an English item, since the resulting display language would
    not likely meet the user's expectations (LP: #1084745).
  * data/LanguageSelector.ui:
    Title added to the "Checking available language support" progress
    dialog (LP: #1113093).
  * Removal of stuff related to language-selector-kde, since Kubuntu
    isn't using it any longer.
  * debian/control:
    Bump Standards-Version to 3.9.4.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 29 Jan 2013 21:29:00 +0100

language-selector (0.99) raring; urgency=low

  * LanguageSelector/ImConfig.py,
    LanguageSelector/gtk/GtkLanguageSelector.py:
    - Get available input methods from im-config (LP: #1090754).
  * debian/control:
    - Bump version of the im-config dependency.
    - yelp added to the Recommends field, since it's needed for the
      "Help" button to work.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 18 Dec 2012 21:32:00 +0100

language-selector (0.98) raring; urgency=low

  * debian/control:
    - Bump version of the im-config dependency.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 10 Dec 2012 17:29:00 +0100

language-selector (0.97) raring; urgency=low

  * Restore to version 0.95, now that the im-config MIR is sorted.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 09 Dec 2012 10:47:01 -0700

language-selector (0.96) raring; urgency=low

  * Revert to 0.94, as the im-switch transition needs MIR approval.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 07 Dec 2012 15:28:29 -0700

language-selector (0.95) raring; urgency=low

  * LanguageSelector/gtk/GtkLanguageSelector.py:
    - Deprecated keyword "type" in Gtk.MessageDialog constructors
      replaced by "message_type".
  * debian/control, LanguageSelector/gtk/GtkLanguageSelector.py,
    LanguageSelector/ImConfig.py, data/LanguageSelector.ui:
    - Transition from the im-switch framework for handling input
      method systems to im-config (LP: #1076975).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 30 Nov 2012 05:36:00 +0100

language-selector (0.94) raring; urgency=low

  * data/language-selector.desktop.in:
    - Use equivalent 'preferences-desktop-locale' icon instead of
      'config-language' since the High Contrast theme is missing a symlink

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 27 Nov 2012 15:20:11 +0100

language-selector (0.93) raring; urgency=low

  * LanguageSelector/LocaleInfo.py:
    Look first for a common_name field when grabbing a language name
    (LP: #991002).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 16 Nov 2012 16:55:39 +0000

language-selector (0.92) raring; urgency=low

  * LanguageSelector/gtk/GtkLanguageSelector.py,
  gnome-language-selector: Add single instance support for gnome-language-selector
  and fix the Escape key malfunction when num lock is on.

 -- Shih-Yuan Lee (FourDollars) <sylee@ubuntu.com>  Mon, 12 Nov 2012 09:55:43 +0100

language-selector (0.91) raring; urgency=low

  * Build depend on python3-all.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Oct 2012 11:56:42 +0100

=== debian/control ===
Source: language-selector
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 8.1.0~),
 python3-all,
 python3-distutils-extra,
 python3-setuptools,
 pyqt4-dev-tools,
 intltool,
 intltool-debian,
 dh-translations
X-Python3-Version: >= 3.2
Standards-Version: 3.9.4

Package: language-selector-gnome
Architecture: all
Depends: language-selector-common (= ${binary:Version}),
 accountsservice (>= 0.6.15-2ubuntu3),
 ${misc:Depends},
 ${python3:Depends},
 python3-gi,
 gir1.2-gtk-3.0,
 gir1.2-vte-2.90,
 python3-apt,
 aptdaemon (>= 0.40+bzr527),
 python3-aptdaemon.gtk3widgets,
 im-config (>= 0.19ubuntu2~)
Recommends: yelp
Replaces: language-selector (<< 0.17)
Conflicts: language-selector (<< 0.17)
Description: Language selector for Ubuntu
 This package let you change and install language packs
 in Ubuntu.
 .
 This package contains the GTK+ frontend.

Package: language-selector-common
Architecture: all
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${python3:Depends},
 ${misc:Depends},
 iso-codes,
 python3-apt (>= 0.7.12.0),
 python3-dbus,
 dbus,
 accountsservice (>= 0.6.15-2ubuntu3)
Description: Language selector for Ubuntu
 This package let you change and install language packs
 in Ubuntu.
 .
 This package contains the common part of language-selector

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3,translations

override_dh_auto_clean:
	./setup.py clean -a
	rm -rf build

override_dh_auto_build:
	set -ex; for python in $(shell py3versions -r); do \
	        $$python setup.py build; \
	done

override_dh_auto_install:
	set -ex; for python in $(shell py3versions -r); do \
		$$python ./setup.py install --root=$(CURDIR)/debian/tmp --prefix=/usr --install-layout=deb; \
	done

## language-selector 0.105

=== debian/changelog ===
language-selector (0.105) raring; urgency=low

  * LanguageSelector/gtk/GtkLanguageSelector.py:
    Prevent crashes like the one in LP: #1112706.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 21 Feb 2013 15:15:04 +0100

## language-selector 0.110

=== debian/changelog ===
language-selector (0.110) raring; urgency=low

  * Updated translations for raring

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 17 Apr 2013 12:28:24 +0200

language-selector (0.109) raring; urgency=low

  * data/LanguageSelector.ui:
    Make the "Drag languages..." sentence bold (LP: #362204).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 02 Apr 2013 16:10:00 +0100

language-selector (0.108) raring; urgency=low

  * language_support_pkgs.py:
    Fix of TypeError in _expand_pkg_pattern() (LP: #1161953).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 29 Mar 2013 18:40:00 +0100

language-selector (0.107) raring; urgency=low

  * LanguageSelector/gtk/GtkLanguageSelector.py:
    Prevent crashes like the one in LP: #1154243.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 18 Mar 2013 05:16:00 +0100

language-selector (0.106) raring; urgency=low

  * language_support_pkgs.py:
    Changes in available_languages() to avoid that users are prompted
    to install language support for non-installed languages. That
    could happen if there were other locales on the system but the
    locales representing the installed languages.
  * dbus_backend/ls-dbus-backend:
    Update /etc/papersize when regional formats are applied system
    wide (LP: #1130690).
  * debian/control:
    Bump the accountsservice dependency.
  * LanguageSelector/LocaleInfo.py:
    Don't display the @variant portion of a language or locale name
    as b'variant'.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 22 Feb 2013 07:05:00 +0100

## language-selector 0.110.1

=== debian/changelog ===
language-selector (0.110.1) raring-security; urgency=low

  * SECURITY UPDATE: possible privilege escalation via policykit UID lookup
    race.
    - dbus_backend/ls-dbus-backend: pass system-bus-name as a subject
      instead of pid so policykit can get the information from the system
      bus.
    - CVE-2013-1066

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 13 Sep 2013 12:06:55 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
 Package: language-selector-gnome
 Architecture: all
 Depends: language-selector-common (= ${binary:Version}),
- accountsservice (>= 0.6.15-2ubuntu3),
  ${misc:Depends},
  ${python3:Depends},
  python3-gi,
@@ -44,7 +43,7 @@
  python3-apt (>= 0.7.12.0),
  python3-dbus,
  dbus,
- accountsservice (>= 0.6.15-2ubuntu3)
+ accountsservice (>= 0.6.29-1ubuntu6)
 Description: Language selector for Ubuntu
  This package let you change and install language packs
  in Ubuntu.

## language-selector 0.116

=== debian/changelog ===
language-selector (0.116) saucy; urgency=low

  * Update translations from launchpad

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 04 Oct 2013 11:17:41 +0200

language-selector (0.115) saucy; urgency=low

  * SECURITY UPDATE: possible privilege escalation via policykit UID lookup
    race.
    - dbus_backend/ls-dbus-backend: pass system-bus-name as a subject
      instead of pid so policykit can get the information from the system
      bus.
    - CVE-2013-1066

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 18 Sep 2013 12:45:13 -0400

language-selector (0.114) saucy; urgency=low

  * Update for python-distutils-extra changes to help handling

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 23 Jul 2013 12:45:09 -0400

language-selector (0.113) saucy; urgency=low

  * fontconfig/30-cjk-aliases.conf:
    Stop fontconfig warnings (LP: #1191450).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 16 Jun 2013 07:41:00 +0200

language-selector (0.112) saucy; urgency=low

  * debian/language-selector-common.links:
    Missing symlinks added.
  * fontconfig/99-language-selector-zh.conf:
    Get rid of fontconfig warnings (LP: #1189152).
  * fontconfig/none:
    Removed.
  * fontconfig/README:
    Cleanup.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sat, 15 Jun 2013 00:20:00 +0200

language-selector (0.111) saucy; urgency=low

  * data/pkg_depends:
    - Replace ttf-thai-tlwg with fonts-thai-tlwg.
    - Replace ttf-arphic-ukai with fonts-arphic-ukai.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 09 Jun 2013 23:54:04 +0100

## language-selector 0.129

=== debian/changelog ===
language-selector (0.129) trusty; urgency=medium

  * Update translations from launchpad

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 10 Apr 2014 20:05:44 +0200

language-selector (0.128) trusty; urgency=medium

  * LanguageSelector/gtk/GtkLanguageSelector.py:
    - set a minimal height for the details (lp: #1165626)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 09 Apr 2014 18:15:26 +0200

language-selector (0.126) trusty; urgency=medium

  * LanguageSelector/ImConfig.py:
    Make fcitx the system default if installed (LP: #1297831).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 27 Mar 2014 15:09:00 +0100

language-selector (0.125) trusty; urgency=medium

  * fontconfig/69-language-selector-zh-*.conf:
    Added 'binding="strong"' when missing (LP: #1227034).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 27 Mar 2014 11:38:00 +0100

language-selector (0.124) trusty; urgency=medium

  * LanguageSelector/gtk/GtkLanguageSelector.py:
    PyGTKDeprecationWarning fixes.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 19 Mar 2014 02:07:00 +0100

language-selector (0.123) trusty; urgency=medium

  * Rewrite the python shebang path to /usr/bin/python3.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Feb 2014 13:10:24 +0100

language-selector (0.122) trusty; urgency=low

  * LanguageSelector/gtk/GtkLanguageSelector.py:
    Enabled grouping in currency format example.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 13 Feb 2014 23:44:00 +0100

language-selector (0.121) trusty; urgency=low

  * LanguageSelector/gtk/GtkLanguageSelector.py,
    LanguageSelector/ImConfig.py:
    - Dropped the ambiguous 'default' option in the IM selector.
  * debian/control:
    - Bump version of the im-config dependency.
    - Bump Standards-Version to 3.9.5.
  * help/C/index.docbook:
    - Language Support Help updated.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 05 Feb 2014 08:19:00 +0100

language-selector (0.120) trusty; urgency=low

  * fontconfig/69-language-selector-zh-hk.conf, -zh-mo.conf:
    WenQuanYi Zen Hei fonts dropped (LP: #1270647).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 21 Jan 2014 22:37:00 +0100

language-selector (0.119) trusty; urgency=medium

  * data/language-selector.desktop.in:
    - Show in both unity-control-center and gnome-control-center (LP: #1257505)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 15 Jan 2014 15:07:58 +1300

language-selector (0.118) trusty; urgency=low

  * data/pkg_depends:
    ttf-wqy-zenhei replaced with fonts-droid for Chinese (LP: #1173571).
  * fontconfig/69-language-selector-zh-hk.conf, -zh-cn.conf, -zh-sg.conf:
    Droid Sans Fallback moved to top.
  * fontconfig/69-language-selector-zh-tw.conf:
    Outdated DejaVu bindings removed (LP: #1173571).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 06 Nov 2013 14:58:00 +0100

language-selector (0.117) trusty; urgency=low

  * LanguageSelector/LocaleInfo.py:
    Fix TypeError (LP: #1194985).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 05 Nov 2013 02:34:00 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  intltool-debian,
  dh-translations
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: language-selector-gnome
 Architecture: all
@@ -24,7 +24,7 @@
  python3-apt,
  aptdaemon (>= 0.40+bzr527),
  python3-aptdaemon.gtk3widgets,
- im-config (>= 0.19ubuntu2~)
+ im-config (>= 0.24-1ubuntu2~)
 Recommends: yelp
 Replaces: language-selector (<< 0.17)
 Conflicts: language-selector (<< 0.17)

## language-selector 0.129.3

=== debian/changelog ===
language-selector (0.129.3) trusty-proposed; urgency=low

  * fontconfig/69-language-selector-zh-??.conf:
    Reverse changes in version 0.129.2 (LP: #1334495, LP: #1351092).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 15 Sep 2014 16:34:00 +0200

language-selector (0.129.2) trusty-proposed; urgency=low

  * fontconfig/69-language-selector-zh-??.conf:
    Replace "Droid Sans Fallback" with "Droid Sans" (LP: #1335482).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 06 Jul 2014 21:49:00 +0200

language-selector (0.129.1) trusty-proposed; urgency=low

  * LanguageSelector/gtk/GtkLanguageSelector.py, help/C/index.docbook:
    - Make the "Apply System-Wide" and "Install / Remove Languages..."
      buttons sensitive also for standard users (LP: #1008344).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 27 Jun 2014 00:36:00 +0200

## language-selector 0.135

=== debian/changelog ===
language-selector (0.135) utopic; urgency=medium

  * Update translations from launchpad

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 17 Oct 2014 17:49:12 +0200

language-selector (0.134) utopic; urgency=low

  * data/pkg_depends:
    Removed some entries which are no longer needed.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 01 Oct 2014 22:53:00 +0200

language-selector (0.133) utopic; urgency=low

  * fontconfig/69-language-selector-zh-??.conf:
    Reverse changes in version 0.132 (LP: #1334495, LP: #1351092).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 15 Sep 2014 16:23:00 +0200

language-selector (0.132) utopic; urgency=low

  * fontconfig/69-language-selector-zh-??.conf:
    Replace "Droid Sans Fallback" with "Droid Sans" (LP: #1335482).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 01 Jul 2014 15:41:00 +0200

language-selector (0.131) utopic; urgency=low

  * LanguageSelector/gtk/GtkLanguageSelector.py, help/C/index.docbook:
    - Make the "Apply System-Wide" and "Install / Remove Languages..."
      buttons sensitive also for standard users (LP: #1008344).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 27 Jun 2014 00:06:00 +0200

language-selector (0.130) utopic; urgency=low

  * LanguageSelector/ImConfig.py:
    - Change in version 0.126 reverted - not needed any longer due to
      changes in im-config.
  * debian/control:
    - Bump version of the im-config dependency.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 29 Apr 2014 13:11:00 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  python3-apt,
  aptdaemon (>= 0.40+bzr527),
  python3-aptdaemon.gtk3widgets,
- im-config (>= 0.24-1ubuntu2~)
+ im-config (>= 0.26-2ubuntu1)
 Recommends: yelp
 Replaces: language-selector (<< 0.17)
 Conflicts: language-selector (<< 0.17)
